Name:           rawstudio 
Version:        1.1.1
Release:        1%{?dist}
Summary:        Read, manipulate and convert digital camera raw images

Group:          Applications/Multimedia 
License:        GPLv2+
URL:            http://rawstudio.org
Source0:        http://rawstudio.org/files/release/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, libxml2-devel, GConf2-devel, dbus-devel
BuildRequires:  lcms-devel, libjpeg-devel, libtiff-devel, exiv2-devel
BuildRequires:  desktop-file-utils



%description
Rawstudio is a highly specialized application for processing RAW images
from digital cameras. It is not a fully featured image editing application.

The RAW format is often recommended to get the best quality out of digital 
camera images.  The format is specific to cameras and cannot be read by most 
image editing applications.

Rawstudio makes it possible to read and manipulate RAW images, experiment 
with the controls to see how they affect the image, and finally export into 
JPEG, PNG or TIF format images from most digital cameras.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Fix desktop file warning
# Note: the Encoding tag seems to be deprecated in desktop entry specs v1.0
#       so this has probably to go away in the future
echo "Encoding=UTF-8" >> ${RPM_BUILD_ROOT}%{_datadir}/applications/rawstudio.desktop

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --remove-category Application                           \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/rawstudio.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc README NEWS COPYING AUTHORS
%{_bindir}/rawstudio
%{_datadir}/rawstudio
%{_datadir}/pixmaps/rawstudio
%{_datadir}/applications/fedora-rawstudio.desktop
%{_datadir}/icons/rawstudio.png


%changelog
* Mon Oct 13 2008 Gianluca Sforna <giallu gmail com> - 1.1.1-1
- new upstream release

* Tue Sep 16 2008 Gianluca Sforna <giallu gmail com> - 1.1-1
- new upstream release

* Thu May  1 2008 Gianluca Sforna <giallu gmail com> - 1.0-1
- new upstream release
- drop upstreamed patch
- slightly improved summary

* Tue Feb 24 2008 Gianluca Sforna <giallu gmail com> - 0.7-2
- rebuild with gcc 4.3

* Thu Jan 24 2008 Gianluca Sforna <giallu gmail com> - 0.7-1
- New upstream release
- Improved package description
- Add fix for PPC build

* Sun Aug 19 2007 Gianluca Sforna <giallu gmail com> 0.6-1
- New upstream release
- Updated License field
- Include new pixmaps directory

* Wed Feb 21 2007 Gianluca Sforna <giallu gmail com> 0.5.1-1
- New upstream release
- Fix desktop-file-install warnings

* Tue Feb 06 2007 Gianluca Sforna <giallu gmail com> 0.5-1
- new upstream version
- add libtiff-devel BR
- drop upstreamed patch
- drop dcraw runtime Require

* Wed Sep 27 2006 Gianluca Sforna <giallu gmail com> 0.4.1-1
- new upstream version
- Add DESTDIR patch (and BR: automake)
- New .desktop file and icon

* Fri Jul 28 2006 Gianluca Sforna <giallu gmail com> 0.3-1
- Initial package. Adapted from fedora-rpmdevtools template.
